Staredit Network > Forums > GalaxyWiki Project > Topic: Changes to Wiki [03/06/2012]
Changes to Wiki [03/06/2012]
Mar 7 2012, 4:34 am
By: DevliN  

Mar 7 2012, 4:34 am DevliN Post #1

OVERWATCH STATUS GO

I am in the process of upgrading the MediaWiki base to the latest version (1.18.1). Until the update is done, there will be some errors popping up on the site. The update will be done in about an hour or so. If errors still persist after that, I'll be doing a lot of tinkering to get the site back online.

I have also added about 6 new extensions to help block spam and prevent bots from messing with the site. Because of this, I've disabled the need for people to register to edit or add pages. People will still need to register to upload things, however.

[UPDATE]
As it turns out, upgrading from 1.16 to 1.18 basically screws up any custom skins. As of right now, the wiki looks like it has no CSS at all. I'll be going back and redoing the skin based on a backup and hopefully fix it. Otherwise I might just go back to 1.16 and not even bother.\

[UPDATE]
Screw 1.18.1, I just changed it back to 1.16. All is well again.

Also forgot to mention that there is a question CAPTCHA on the site now for editing pages that will ask SC related questions.

Post has been edited 3 time(s), last time on Mar 7 2012, 8:27 am by DevliN.



\:devlin\: Currently Working On: \:devlin\:
My Overwatch addiction.

Mar 7 2012, 9:05 pm Lanthanide Post #2



The new version actually includes some new useful features that were previously add-ons. It might be better waiting for 1.19 though, since it's due out fairly soon?

Will these upgrades apply to the SC1 wiki (such as it is)?



None.

Mar 7 2012, 9:46 pm DevliN Post #3

OVERWATCH STATUS GO

I can upgrade the SC1 wiki as well, sure. I ended up not upgrading to 1.18, though, so I may just wait to do both when 1.19 is out.



\:devlin\: Currently Working On: \:devlin\:
My Overwatch addiction.

Options
  Back to forum
Please log in to reply to this topic or to report it.
Members in this topic: None.
[04:38 pm]
Pr0nogo -- Suicidal Insanity
Suicidal Insanity shouted: I know that. But if AIScript has 'multiplayer-simple' does BWScript have 'multiplayer-simple-ex' or 'multiplayr-simple'?
there's Terran Campaign Insane and Expansion Terran Campaign Insane, but they are actually different scripts
[04:36 pm]
Pr0nogo -- Suicidal Insanity
Suicidal Insanity shouted: Were you able to enter arbitrary AIScript IDs?
haven't tried that yet
[09:53 am]
Suicidal Insanity -- Were you able to enter arbitrary AIScript IDs?
[09:53 am]
Suicidal Insanity -- Its not that important, text trigedit apparently parses one of the files to verify AIScript IDs, but I dont think the code is used
[09:52 am]
Suicidal Insanity -- I know that. But if AIScript has 'multiplayer-simple' does BWScript have 'multiplayer-simple-ex' or 'multiplayr-simple'?
[05:19 am]
Pr0nogo -- aiscript has vanilla AI, bwscript has expansion AI
[11:38 pm]
Suicidal Insanity -- Hmm, it doesn't store string names does it?
[11:27 pm]
Suicidal Insanity -- Does the bwscript.bin file just replace the aiscript.bin file with AIs that use BW units, or is the union of both files used by the game?
[10:15 pm]
Suicidal Insanity -- Cool, I have french unit names in my unit tree
[09:03 pm]
Suicidal Insanity -- Either that or the installer wasn't really korean
Please log in to shout.


Members Online: Roy, MTiger156